#include "TaskManager.h"
#include "KeyStat.h"
#include "UpdateKey.h"
#include "Func.h"

SchedDefineTask(UpdateKey);

static int 
run(SchedTask *smanager, void *rbuf, void *wbuf)
{
    key_stat *key = (key_stat*)smanager->get_input(rbuf, 0);
    key_stat *gdata = (key_stat*)smanager->global_get(KEY_STATUS); 
    memcpy(gdata, key, sizeof(key_stat));

    return 0;
}
